package com.dcsoft.system.vehicle.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 收费配置子项对象 car_charge_item
 *
 * @author dcsoft
 * @date 2024-01-24
 */
public class CarChargeItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 所属车场 */
    @Excel(name = "所属车场")
    private Long chargeId;

    /** 计费时段起 */
    @Excel(name = "计费时段起")
    private Long startLong;

    /** 计费时段止 */
    @Excel(name = "计费时段止")
    private Long endLong;

    /** 收费金额 */
    @Excel(name = "收费金额")
    private BigDecimal chargeMoney;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setChargeId(Long chargeId)
    {
        this.chargeId = chargeId;
    }

    public Long getChargeId()
    {
        return chargeId;
    }
    public void setStartLong(Long startLong)
    {
        this.startLong = startLong;
    }

    public Long getStartLong()
    {
        return startLong;
    }
    public void setEndLong(Long endLong)
    {
        this.endLong = endLong;
    }

    public Long getEndLong()
    {
        return endLong;
    }
    public void setChargeMoney(BigDecimal chargeMoney)
    {
        this.chargeMoney = chargeMoney;
    }

    public BigDecimal getChargeMoney()
    {
        return chargeMoney;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("chargeId", getChargeId())
            .append("startLong", getStartLong())
            .append("endLong", getEndLong())
            .append("chargeMoney", getChargeMoney())
            .toString();
    }
}
